Check RCS capabilities
Returns the RCS features supported by the specified recipient for the selected agent.
GET
/
messaging
/
rcs
/
capabilities
/
{agent_id}
/
{phone_number}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.messaging.rcs.retrieveCapabilities('phone_number', {
agent_id: 'agent_id',
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.messaging.rcs.retrieve_capabilities(
phone_number="phone_number",
agent_id="agent_id",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Messaging.Rcs.GetCapabilities(
context.TODO(),
"phone_number",
telnyx.MessagingRcGetCapabilitiesParams{
AgentID: "agent_id",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messaging.rcs.RcRetrieveCapabilitiesParams;
import com.telnyx.sdk.models.messaging.rcs.RcRetrieveCapabilitiesResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RcRetrieveCapabilitiesParams params = RcRetrieveCapabilitiesParams.builder()
.agentId("agent_id")
.phoneNumber("phone_number")
.build();
RcRetrieveCapabilitiesResponse response = client.messaging().rcs().retrieveCapabilities(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.messaging.rcs.retrieve_capabilities("phone_number", agent_id: "agent_id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->messaging->rcs->retrieveCapabilities(
'phone_number', agentID: 'agent_id'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging:rcs retrieve-capabilities \
--api-key 'My API Key' \
--agent-id agent_id \
--phone-number phone_numbercurl --request GET \
--url https://api.telnyx.com/v2/messaging/rcs/capabilities/{agent_id}/{phone_number} \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "rcs.capabilities",
"phone_number": "+13125551234",
"agent_id": "TestAgent",
"agent_name": "Testing agent",
"features": [
"<string>"
]
}
}{
"errors": [
{
"code": "string",
"title": "string",
"detail": "string",
"source": {
"pointer": "/data/attributes/phone_number",
"parameter": "string"
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
RCS agent ID
Phone number in E164 format
Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.messaging.rcs.retrieveCapabilities('phone_number', {
agent_id: 'agent_id',
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.messaging.rcs.retrieve_capabilities(
phone_number="phone_number",
agent_id="agent_id",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Messaging.Rcs.GetCapabilities(
context.TODO(),
"phone_number",
telnyx.MessagingRcGetCapabilitiesParams{
AgentID: "agent_id",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messaging.rcs.RcRetrieveCapabilitiesParams;
import com.telnyx.sdk.models.messaging.rcs.RcRetrieveCapabilitiesResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RcRetrieveCapabilitiesParams params = RcRetrieveCapabilitiesParams.builder()
.agentId("agent_id")
.phoneNumber("phone_number")
.build();
RcRetrieveCapabilitiesResponse response = client.messaging().rcs().retrieveCapabilities(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.messaging.rcs.retrieve_capabilities("phone_number", agent_id: "agent_id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->messaging->rcs->retrieveCapabilities(
'phone_number', agentID: 'agent_id'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging:rcs retrieve-capabilities \
--api-key 'My API Key' \
--agent-id agent_id \
--phone-number phone_numbercurl --request GET \
--url https://api.telnyx.com/v2/messaging/rcs/capabilities/{agent_id}/{phone_number} \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "rcs.capabilities",
"phone_number": "+13125551234",
"agent_id": "TestAgent",
"agent_name": "Testing agent",
"features": [
"<string>"
]
}
}{
"errors": [
{
"code": "string",
"title": "string",
"detail": "string",
"source": {
"pointer": "/data/attributes/phone_number",
"parameter": "string"
}
}
]
}